# hwapi_hgcsp

(PHP 4, PHP 5 < 5.2.0, PECL hwapi SVN)

hwapi_hgcsp — Returns object of class hw_api

### Description

hwapi_hgcsp ( string `$hostname` [, int `$port` ] ) : HW_API

Opens a connection to the Hyperwave server on host `hostname`. The protocol used is HGCSP.

### Parameters

`hostname`

  The host name.

`port`

  If you do not pass a port number, 418 is used.

### Return Values

Returns an instance of HW_API.